> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Address Statistics

> Returns date of last and first interaction of this address with the network.



## OpenAPI

````yaml /api-reference/data-api.json get /v1/address/stats
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.8
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
paths:
  /v1/address/stats:
    get:
      tags:
        - Address Information
      summary: Get Address Statistics
      description: >-
        Returns date of last and first interaction of this address with the
        network.
      operationId: getAddressStats
      parameters:
        - name: network
          required: true
          in: query
          description: Network of Address
          schema:
            type: string
        - name: address
          required: true
          in: query
          description: Address to search
          schema:
            type: string
      responses:
        '200':
          description: Address interaction dates.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddressStats'
components:
  schemas:
    AddressStats:
      type: object
      properties:
        address:
          type: string
        network:
          type: string
        earliest_tx:
          type: string
        latest_tx:
          type: string
      required:
        - address
        - network
        - earliest_tx
        - latest_tx
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````